using System;
using System.Collections.Generic;
using System.Text;

namespace Widget_Class
{
  class Widget
  {
    public Widget()
    {
      this.WidgetColor = "red";
      this.WidgetSize = 12;
    }
    
    public Widget(string c, int s)
    {
      this.WidgetColor = c;
      this.WidgetSize = s;
    }

    private string widgetColor;
    public string WidgetColor
    {
      get
      {
        return widgetColor;
      }
      set
      {
        switch (value.ToUpper())
        {
          case "RED":
            widgetColor = value;
            break;
          case "WHITE":
            widgetColor = value;
            break;
          case "BLUE":
            widgetColor = value;
            break;
          default:
            System.Windows.Forms.MessageBox.Show("Bad widget color!");
            return;
        }
        widgetColor = value;
      }
    }
    private int widgetSize;
    public int WidgetSize
    {
      get
      {
        return widgetSize;
      }
      set
      {
        if (value >= 5 && value <= 40)
        {
          widgetSize = value;
        }
        else
        {
          System.Windows.Forms.MessageBox.Show("Bad widget size!");
        }
      }
    }

    public virtual string DescribeWidget()
    {
      return ("My widget is colored " + widgetColor);
    }

    public string CompareWidget()
    {
      int diff;
      diff = widgetSize - 20;
      if (diff > 0)
      {
        return ("My widget is " + diff.ToString() + " units larger than a standard widget.");
      }
      else
      {
        return ("My widget is " + Math.Abs(diff).ToString() + " units smaller than a standard widget.");
      }
    }
    public string CompareWidget(int s)
    {
      int diff;
      diff = widgetSize - s;
      if (diff > 0)
      {
        return ("My widget is " + diff.ToString() + " units larger than your widget.");
      }
      else
      {
        return ("My widget is " + Math.Abs(diff).ToString() + " units smaller than your widget.");
      }
    }

  }
}
